Description

A stand-alone, Mac OS X executable version of Wayward Beta 1.4. Max OS X 10.7+ is needed to run Wayward.

Preview
Wayward Beta 1.4 (Mac OS X)
Comments
Guest
Guest

This game is lovely, but I can't save a game - either in the new 1.4 version, or the previous 1.3 version. I also can't open up wayward - at all! - in firefox. I cleared my cache but all that I get is a "loading" page. It doesn't change.

Reply Good karma Bad karma+1 vote
VaughnRoyko Author
VaughnRoyko

So no saving on the Mac OS X version huh? I will check to make sure it's working. Which version of Firefox are you running?

Reply Good karma+1 vote
Guest
Guest

My Firefox is 22.0. (it says it's up to date?) Thank you for your swift reply. :)

I absolutely love your game. I love the complexity and the world building and the constructions and the way the game changes every time you die. I was watching the changelog with baited breath and the new beta has not disappointed at all.

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.